> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare



## OpenAPI

````yaml /openapi.json post /admin/api/workspaces/{workspaceId}/logo/upload-intents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/workspaces/{workspaceId}/logo/upload-intents:
    post:
      tags:
        - Admin Workspace Logo
      summary: Prepare
      operationId: AdminWorkspaceLogoController_prepare
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminWorkspaceLogoUploadDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    AdminWorkspaceLogoUploadDto:
      type: object
      properties:
        filename:
          type: string
          minLength: 1
          maxLength: 255
        bytes:
          type: integer
          minimum: 1
          maximum: 10485760
        checksumSha256:
          type: string
          pattern: ^[0-9a-f]{64}$
        mimeType:
          type: string
          enum:
            - image/png
            - image/jpeg
            - image/webp
      required:
        - filename
        - bytes
        - checksumSha256
        - mimeType
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.